スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Ubuntu9.10でMSOfficeを使用する

正直普通にWINEをインストールしてGoogleで検索しながらインストールすれば特に問題なく使用出来るだろう.
しかし,私の場合色々試しているうちにおかしな設定をしてしまったせいか,かれこれ10日間程度費やしてしまったような気がする.ほかにやるべきことはたくさんあるのに何をしているんだかといった感じである.
その際のTipsというか私のバカらしい間違いを記しておく.


まず,一つ目にOfficeXpをOffice2003についてである.これが正しいのか分からないが現在巷で使用されているMSOfficeは4種類だろう.
・Microsoft Office2000
・Microsoft OfficeXp(2002)?
・Microsoft Office2003
・Microsoft Office2007
この分類であっているのか分からないが私なりの解釈ではこうだ.ここでの私の最大の間違いはXpと2003を同じものだと考えていたことである.ひたすらXpの方を2003と同じ方法でインストールしようとしていたためか一向にインストールできる気配がなかった.(本当に違うものなのかどうかは知りません.)またそこで変な設定をしてしまったためか2007のインストールを試みても全く成功する気配はなかった.

ここででたエラーはこれだ.
Microsoft Visual C++ Runtime Library Runtime Error! Program:.. C:\PROGRAM FILES\COMMON FILES\SYSTEM\MOSEARCH\BIN\MOSDMN.EXE abnormal program termination

VC++2005runなんちゃらがインストールされていないからでるエラーだろうと踏んでとにかくVC++2005runをインストールすればいいのかと思いwinetricksなどを使用したりしてみたが結局分からなかった.

この間でUbuntuソフトウェアセンタなどから何度もWINEの再インストールをしていたが,特に変化なく,再インストールしても設定等が残っていたのが気になっていた.

そこでSynapticパッケージマネージャからWINEと検索してチェックのついているものすべてを削除してみた.そしてWINEをインストールしなおして,winetricksを使って必要なものをインストールすればすんなりインストール完了!いままで悩んでいたのがバカらしくなってしまった.

参考にしていたサイトはここ
http://samanathon.com/how-to-install-microsoft-office-2007-in-ubuntu-9-04/

最終的に2003と2007両方インストールしたが,2003については非常に軽快に動作している.
スポンサーサイト

テーマ : コンピュータ - ジャンル : コンピュータ

Ubuntu9.10でAndroid開発環境を作るTips


何を思ったかEeePCからWindowsを消し去ってUbuntu9.10のみにしていしまいました。
今まではWubiとかいうデュアルブート的なものにしていたんですが、もしかしたらUbuntuのみの方がいいんじゃないかと血迷ってWindowsを消し去ってしまいました。とりあえず、必要なファイルはDropBoxに入れてあるのでどうにかなるだろう何て考えています。



そこで、とりあえずeclipseでAndroid開発環境をつくろうと思って始めたのですが、google先生に聞いてみても意外と完全に解説しているサイトが見つかりませんでした。
とりあえず、参考にしていたのはここのサイトです。
http://d.hatena.ne.jp/hiro_nemu/20090520/1242830595

ここで書いてあるのはEclipse3.4,Android SDK 1.5ですが、最新のEclipse3.5,Android SDK 2.1をインストールしました。ここで出た問題点はADTのセットアップをするときに

-----------------------------------------------------------------
Cannot complete the install because one or more required items could
not be found.
Software being installed: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404)
Missing requirement: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404) requires 'org.eclipse.wst.xml.ui 0.0.0' but
it could not be found
-----------------------------------------------------------------

こんな感じのエラーが出てしまって止まってしまいました。
そこでちょこちょこ探していると、
http://www.mail-archive.com/android-developers@googlegroups.com/msg69804.html
こんなサイトを見つけました。
基本的に英語だったのでちょっとだけ書いて置くと、


Go to "Help/Install New Software..."
「Help」>「Install New Software」と行って

Add http://download.eclipse.org/releases/galileo/ to the update sites list (strange it's not installed by default on ubuntu)
”http://download.eclipse.org/releases/galileo/”をアップデートサイトに足して

Restart eclipse
eclipseを再起動して

Go back to "Help/Install New Software..." and install the Android ADT
as explained on the android website.
またAndroidのサイトからADTをインストールして


見たいなことが書いてあると思います。
かなり適当に訳しているので気にしないでください。
とりあえず最初に示したサイトと一緒に使用すれば出きると思います。
この後も少し違っていて、

>Eclipseのメニューバーから「Window」>「Prefarence」で設定画面を開き、左側のAndroidを選択。すると右側
>にSDK Location:てのが表示されるのでここにAndroid SDKの場所を入れてやる。(今回はここ→/home/hiromi/apps/dev/android-sdk-linux_x86-1.5_r1)
>そして、「Apply」を押ししばらくすると以下の画面の様になる。こうなればOK。

と書いてあったのですが、「Window」>「Prefarence」で設定画面を開き、Android SDKの場所を入れてやっても全然画面の通りに表示されませんでした。

そこで、「Window」>「Android SDK and AVD Manager」を開いて、「Install Packages」から「Update All...」を押します。するとどんどんインストールされていくので、インストールが終了したら完了です。



これでとりあえずHello Androidと表示させることができたので大丈夫だと思います。
個人的には今回インストールしたeclipseにはOpen-JDKだったのでSun-JDKにしたほうがいいのかな?って思うのですが、また今度にしたいと思います。というか変えた方がいいのか分からないので誰か教えてください。

テーマ : IT関連 - ジャンル : コンピュータ

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。